#!/bin/bash

if [[ ${#1} -eq 10 ]] && [[ $1 =~ ^[+][0-9]+$ ]]; then
    echo -e "\nPodano prefix numeru stacjonarnego: \033[1m$1\033[0m"
    echo -e "UWAGA!! Do numerów blokowanych będą dodane numery z zakresu:\n$1\033[1;31m01\033[0m\ndo\n$1\033[1;31m99\033[0m\n"
    echo "Aby kontynuować naciśnij ENTER, aby przerwać wciśnij Ctrl+C ..."
    read
else
    echo -e "\nPodaj jako parametr prefix numeru stacjonarnego w formacie +XXAABBBCC (np. +484133676)\n"
    echo "Dwie ostatnie brakujące cyfry będą z zakresu 01 do 99, przykładowo:"
    echo "+48 41 336 76 01, +48 41 336 76 02, +48 41 336 76 03, +48 41 336 76 04 itd."
    exit 1
fi

echo -e "ADB na smartfonie musi być uruchomione w trybie ROOT, w tym celu w opcjach programistycznych zaznacz opcje:\n
- Debugowanie USB
- Debugowanie jako ROOT\n\n"

adb devices
echo -e "Upewnij się, że widzisz powyżej urządzenie bez napisu \"no permissions\", jeżeli jest inaczej\nto dodaj je do zaufanych (komunikat na wyświetlaczu smartfona)"
echo "Aby kontynuować naciśnij ENTER, aby przerwać wciśnij Ctrl+C ..."
read

read -n 1 -p "Czy chcesz teraz zrestartować ADB do trybu roota? [t/n]" odp
case $odp in
    [tT])
            echo -e "\nadb root"
            adb root
            if [[ $? -eq 1 ]]; then
             echo "Błąd! Nie można zrestartować ADB do trybu ROOT - kończę!"
             exit 1
            fi
            ;;
    [nN])
            echo -e "\nBye!"
            exit 0
            ;;
    *)
            echo -e "\nNie wybrałeś tak lub nie [t/n]"
            exit 1
            ;;
esac

for i in {01..99}
do
 echo -en "Trwa dodawanie numeru: $1$i ($i z 99)\r"
 adb shell content insert --uri content://com.android.blockednumber/blocked --bind original_number:s:"$1$i"
done
echo -e "\n > Ukończono dodawanie numerów do listy blokowanych!"
